> For the complete documentation index, see [llms.txt](https://docs.mdintegrations.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mdintegrations.com/partner-api-reference/offerings/general/list-partner-services.md).

# List partner services

Returns the partner's active service offerings, ordered for display. When called from the clinician side, results can be scoped to a specific partner via partner\_id and further filtered to only the offerings available in a given patient's state via patient\_id.

```json
{"openapi":"3.1.0","info":{"title":"MD Integrations","version":"1.0.0"},"tags":[{"name":"Offerings/General"}],"servers":[{"url":"https://api.mdintegrations.dev/v1","description":"Development"}],"security":[{"oauth2":[]}],"components":{"securitySchemes":{"oauth2":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://api.mdintegrations.dev/v1/partner/auth/token","scopes":{"*":"Full partner account access"}}}}},"schemas":{"PartnerServiceResource":{"type":"object","properties":{"partner_service_id":{"type":"string"},"title":{"type":"string"},"service_type":{"type":"string"},"description":{"type":"string"},"additional_note":{"type":"string"},"thank_you_note":{"type":["string","null"]},"clinical_notes":{"type":["string","null"]},"pharmacy_fax_number":{"type":"string"},"include_drivers_license":{"type":"string"},"send_pdf_file_automatically":{"type":"string"},"is_additional_approval_needed":{"type":"string"},"order":{"type":["integer","null"]},"metadata":{"type":"string"}},"required":["partner_service_id","title","service_type","description","additional_note","thank_you_note","clinical_notes","pharmacy_fax_number","include_drivers_license","send_pdf_file_automatically","is_additional_approval_needed","order","metadata"],"title":"PartnerServiceResource"}},"responses":{"ValidationException":{"description":"Validation error","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","description":"Errors overview."},"errors":{"type":"object","description":"A detailed description of each field that failed validation.","additionalProperties":{"type":"array","items":{"type":"string"}}}},"required":["message","errors"]}}}}}},"paths":{"/partner/services":{"get":{"operationId":"service.listServices","description":"Returns the partner's active service offerings, ordered for display. When called from\nthe clinician side, results can be scoped to a specific partner via partner_id and\nfurther filtered to only the offerings available in a given patient's state via\npatient_id.","summary":"List partner services","tags":["Offerings/General"],"parameters":[{"name":"partner_id","in":"query","schema":{"type":["string","null"],"format":"uuid"}},{"name":"patient_id","in":"query","schema":{"type":["string","null"],"format":"uuid"}}],"responses":{"200":{"description":"Array of `PartnerServiceResource`","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PartnerServiceResource"}}}}},"422":{"$ref":"#/components/responses/ValidationException"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mdintegrations.com/partner-api-reference/offerings/general/list-partner-services.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
